Subject: Re: [PATCH 2/3] drivers: net: ethernet: stmmac: fix failure in module test

From: Giuseppe CAVALLARO <[email-masked]>
Date: Wed, 23 May 2012 08:08:18 +0200

On 5/23/2012 7:09 AM, Bob Liu wrote:
> Hi Peppe,
> 
> On Tue, May 22, 2012 at 8:51 PM, Giuseppe CAVALLARO
> <[email-masked]> wrote:
>> On 5/22/2012 9:38 AM, Bob Liu wrote:
>>> Module can't be compiled and installed in current Makefile.
>>
>> I've just seen that I can generate the stmmac.ko on ARM and also on x86
>> with my configuration.
>>
>> Can you post here you build failure?
>>
>> In the meantime I'll test the module on ARM soon.
> 
> Yes, stmmac.ko can be generated, but  stmmac_platform.c won't be built.
> which cause net device can't be probed.

Yes you are perfectly right!

I've just sent a patch following Ben's advice.

Also not clear if/how to build this as a system which supports both PCI
and platform versions of the driver. So the patch makes them mutually
exclusive.

Thanks a lot
peppe

> 
>>
>> peppe
>>
>>>
>>> Signed-off-by: Bob Liu <[email-masked]>
>>> ---
>>>  drivers/net/ethernet/stmicro/stmmac/Makefile |   12 ++++++------
>>>  1 files changed, 6 insertions(+), 6 deletions(-)
>>>
>>> diff --git a/drivers/net/ethernet/stmicro/stmmac/Makefile b/drivers/net/ethernet/stmicro/stmmac/Makefile
>>> index bc965ac..4b50922 100644
>>> --- a/drivers/net/ethernet/stmicro/stmmac/Makefile
>>> +++ b/drivers/net/ethernet/stmicro/stmmac/Makefile
>>> @@ -1,10 +1,10 @@
>>>  obj-$(CONFIG_STMMAC_ETH) += stmmac.o
>>> -stmmac-$(CONFIG_STMMAC_TIMER) += stmmac_timer.o
>>> -stmmac-$(CONFIG_STMMAC_RING) += ring_mode.o
>>> -stmmac-$(CONFIG_STMMAC_CHAINED) += chain_mode.o
>>> -stmmac-$(CONFIG_STMMAC_PLATFORM) += stmmac_platform.o
>>> -stmmac-$(CONFIG_STMMAC_PCI) += stmmac_pci.o
>>> +stmmac-$(CONFIG_STMMAC_TIMER:m=y) += stmmac_timer.o
>>> +stmmac-$(CONFIG_STMMAC_RING:m=y) += ring_mode.o
>>> +stmmac-$(CONFIG_STMMAC_CHAINED:m=y) += chain_mode.o
>>> +stmmac-$(CONFIG_STMMAC_PLATFORM:m=y) += stmmac_platform.o
>>> +stmmac-$(CONFIG_STMMAC_PCI:m=y) += stmmac_pci.o
>>>  stmmac-objs:= stmmac_main.o stmmac_ethtool.o stmmac_mdio.o   \
>>>             dwmac_lib.o dwmac1000_core.o  dwmac1000_dma.o     \
>>>             dwmac100_core.o dwmac100_dma.o enh_desc.o  norm_desc.o \
>>> -           mmc_core.o $(stmmac-y)
>>> +           mmc_core.o
>>
>